Search insights
GET
/api/v1/insights/search
const url = 'https://example.com/api/v1/insights/search?q=example&projectId=00000000-0000-0000-0000-000000000000';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/insights/search?q=example&projectId=00000000-0000-0000-0000-000000000000'Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” q
required
string
blocked
string
projectId
required
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
string
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
Responses
Section titled “ Responses ”Success
Media type application/json
Array<object>
object
_id
required
string
title
required
string
description
required
string
category
string
tags
Array<string>
upvotes
required
number
downvotes
required
number
blocked
required
boolean
referenceCount
required
number
createdBy
required
string
sourceReportId
string
createdAt
required
string | null format: date-time
updatedAt
string | null format: date-time
deletedAt
string | null format: date-time
projectId
required
string